<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# SHOW                                                             #
# Adott mu részletes leírását megjelnítő program                   #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.22.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/
?>
      <div class="cim"><?php echo ucfirst($szoveg['mualkotas']);?></div>        
<?php    
// Műalkotás lekérdezése
  $id = $id == '' ? 0 : $id;
  $lekerdezes_alkotasok = lekerdezes("SELECT * FROM nezet_mualkotasok WHERE mu_azon = $id");
  if (ossz_rekord($lekerdezes_alkotasok)>0) {
?>
      <table border="0" cellpadding="0" cellspacing="0"><tr><td valign="top">
      <div class="alkotasinfo">
<?php
  $_rekord = olvas_asszociativ($lekerdezes_alkotasok);
  echo "        <form name=\"a\" action=\"#\"><input type=\"hidden\" name=\"address\" value=\"Debrecen".$_rekord[cim_nev]." ".$_rekord[hely_hazszam]."\"></form>";
// Mű cím kiírása
  echo "        <div class=\"alcim\">".$_rekord[mu_cim]."</div>\n";
// Mű alcím - ha van
  if ($_rekord[mu_alcim]) 
    echo "        <div class=\"mualcim\">(".$_rekord[mu_alcim].")</div><p>\n";
// Készítette, ha több van, mindet kiiírjuk!
  $lekerdezes_alkotok = lekerdezes("SELECT * FROM nezet_mualkotas_alkotoi WHERE mu_kod = $_rekord[mu_azon]");
  if (ossz_rekord($lekerdezes_alkotok)>0) {
    echo "        <div class=\"szovegbold\">".ucfirst($szoveg['keszitette']).":</div>\n";
    while ($rekord_alkotok = olvas_asszociativ($lekerdezes_alkotok)) {
      echo "        <div class=\"alkotonev\">".$rekord_alkotok[alk_nev];
      // Ha ismert a születési vagy halálozási dátuma, akkor megjelenítjük
      if (($rekord_alkotok[alk_szulev]) || ($rekord_alkotok[alk_halalev])) 
        echo " (".$rekord_alkotok[alk_szulev]."-".$rekord_alkotok[alk_halalev].")"; 
      // ha díjat kapott az alkotó, akkor ezt kiírjuk
      if ($rekord_alkotok[dij_nev])
        echo " ".$rekord_alkotok[dij_nev]."as";
      // ha tudjuk, hogy milyen az alkotói besorolása pl. festőművész, akkor kiírjuk
      if ($rekord_alkotok[alk_info])
        echo " ".$rekord_alkotok[alk_info];      
      echo "</div>\n";
    }
  }
// Készítés dátuma
  if ($_rekord[mu_evszam]) { 
    echo "        <span class=\"szovegbold\">".ucfirst($szoveg['keszult']).": </span>\n";
    echo "        <span class=\"szoveg\">".$_rekord[mu_evszam]."</span><br>\n";
  }
// Műalkotás lelőhelye
  echo "        <span class=\"szovegbold\">".ucfirst($szoveg['lelohely']).":</span>\n";
  echo "        <span class=\"szoveg\">".$_rekord[cim_nev]." ".$_rekord[hely_hazszam]."</span><br>\n";
  echo "        <div class=\"lelohely\">".$_rekord[helynev_nev]." ".$_rekord[pontositas]."</div>\n"; 
  
// Technikai adatok összegyűjtése
  // mérete
  $mualkotas['meret'] = $_rekord[mu_meret];
  // anyagok  
  $lekerdezes_anyagok = lekerdezes("SELECT * FROM nezet_mualkotasok_anyagai WHERE mu_kod = $_rekord[mu_azon]");
  if (ossz_rekord($lekerdezes_anyagok)>0) {
    while ($rekord_anyagok = olvas_asszociativ($lekerdezes_anyagok)) {
      $mualkotas['anyag'] .= $rekord_anyagok[anyag_nev].", ";
    }
    $mualkotas['anyag'] = substr($mualkotas['anyag'], 0, -2); // utolsó , nem kell
  }
  // technikák
  $lekerdezes_technikak = lekerdezes("SELECT * FROM nezet_mualkotas_technikai WHERE mu_kod = $_rekord[mu_azon]");
  if (ossz_rekord($lekerdezes_technikak)>0) {
    while ($rekord_technikak = olvas_asszociativ($lekerdezes_technikak)) {
      $mualkotas['technika'] .= $rekord_technikak[technika_nev]." ";
    }
  }
// Technikai adatok kiíratása szövegesen mondatba foglalva
  // ha vannak ilyen adatok!
  if (($mualkotas['meret']) || ($mualkotas['anyag']) || ($mualkotas['technika'])) {
    echo "        <span class=\"szovegbold\">".ucfirst($szoveg['jellemzoi']).":</span>\n";
    echo "        <span class=\"szoveg\">".ucfirst('a '.$szoveg['mualkotas'])." ";
    if ($mualkotas['meret']) echo $mualkotas['meret']." ".$szoveg['meretu']." ";
    if ($mualkotas['anyag']) echo $mualkotas['anyag']." ".$szoveg['anyagokbol_keszult'].", ";
    if ($mualkotas['technika']) echo $mualkotas['technika'];
    echo "</span><br>\n";
  }
 
// Felirat a műalkotáson kiírása
  if ($_rekord[mu_szoveg]) {
    echo "        <span class=\"szovegbold\">".ucfirst($szoveg['alkotason_szoveg']).":</span>\n";
    echo "        <span class=\"szoveg\">".$_rekord[mu_szoveg]."</span><br>\n";
  }

// megjegyzés kiíratása
  if ($_rekord[mu_leiras]) {
    echo "        <span class=\"szovegbold\">".ucfirst($szoveg['megjegyzes']).":</span>\n";
    echo "        <span class=\"szoveg\">".$_rekord[mu_leiras]."</span><br>\n";
  }

// ellenőrzés dátumának kiíratása
  // Csak ha sikeresen belépett admin láthatja
  /*if (!$_SESSION['user']) {
    if (($_rekord[mu_edatum]) && ($_rekord[mu_edatum] != '0000-00-00')) {
      echo "        <span class=\"szovegbold\">".ucfirst($szoveg['adatok_ellenorizve']).":</span>\n";
      echo "        <span class=\"szoveg\">".$_rekord[mu_edatum]."</span><br>\n";
    }
  } */ 

// forrás kiíratása
  if ($_rekord[mu_forras]) {
    echo "        <span class=\"szovegbold\">".ucfirst($szoveg['kapcsolodo_info']).":</span>\n";
    echo "        <span class=\"szoveg\">".$_rekord[mu_forras]."</span><br>\n";
  }

  // Ha admin felhasználó, akkor itt megjelenik egy javítási gomb
  if ($_SESSION['user']) {
    echo "      <form name=\"javitas\" method=\"get\" action=\"".$php."\">\n";
    echo "        <input type=\"hidden\" name=\"do\" value=\"edit\">\n";
    echo "        <input type=\"hidden\" name=\"mode\" value=\"mualkotasok\">\n";
    echo "        <input type=\"hidden\" name=\"id\" value=\"".$_rekord[mu_azon]."\">\n";
    echo "        <input type=\"button\" onClick=\"submit(this.form)\" value=\"".ucfirst($szoveg['adatok_javitasa'])."\" class=\"keresesgomb\">\n";
    echo "      </form>\n";
  }
?>
      </div></td><td valign="top"><div id="terkep" align=right>
        <div id="map_canvas"></div>
      </div></td></tr>
      </table>

<?
// fotók
  $lekerdezes_fotok = lekerdezes("SELECT * FROM nezet_mualkotas_fotoi WHERE mu_kod = $_rekord[mu_azon]");
  
  if (ossz_rekord($lekerdezes_fotok)>0) {
    $kiirt = 0;
    echo "        <div class=\"alcim\">".ucfirst($szoveg['fotok']).":</div>\n";
    echo "        <table border=0><tr>\n";     
    while ($rekord_fotok = olvas_asszociativ($lekerdezes_fotok)) {
      if (($kiirt != 0) &&($kiirt % 4 == 0)) 
          echo "      </tr><tr>\n";
      echo "      <td class=\"galeriakep\">\n";
      $tnkepfile = $dir['photos']."/tn_".$rekord_fotok[foto_file];            
      $kepinfo = GetImageSize($tnkepfile);
      $kep_x = 1.2 * $kepinfo[0];
      $kep_y = 1.2 * $kepinfo[1];
      $kepfile = $dir['photos']."/".$rekord_fotok[foto_file];
      $nagykepinfo = GetImageSize($kepfile);
      
      //echo "        <a href=\"#\" onClick=\"kepmegnyitas(".$rekord_fotok[foto_kod].",".$rekord_fotok[mu_kod].")\">";
      echo "        <a href=\"#\" onClick=\"photopopup('".$rekord_fotok[foto_kod]."','".$nagykepinfo[0]."','".$nagykepinfo[1]."','".$rekord_fotok[fotos_nev]."')\">";
      echo "<img src=\"".$tnkepfile."\" width=\"".$kep_x."\" height=\"".$kep_y."\" border=\"0\" hspace=\"10\" class=\"kiskep\">";
      echo "</a>\n";
      echo "        <a href=\"?do=sendpostcard&id=".$rekord_fotok[foto_kod]."\" class=\"link\"><img title=\"".ucfirst($szoveg[kepeslapkuld])."\" src=\"".$dir['images']."/icon_kepeslap.gif\" width=\"22\" height=\"16\" border=\"0\" vspace=\"0\"></a>\n";
      echo "      </td>\n";
      $kiirt++;
    }
    echo "      </tr></table>\n";
  } 
?>
      <div id="photo" title="<?php echo ucfirst($szoveg['bezarklikk']); ?>" onClick="photopopupclose()"></div>
<?php
  }
  else {
    echo "        <div class=\"hiba\">".ucfirst($szoveg[nincsinfo]).".</div>\n";
  }
?>      
      <div>
        <a href="<?php echo $_SERVER['HTTP_REFERER'];?>" class="link"><img src="images/nyil_vissza.gif" width="13" height="7" border="0" align="absmiddle">
        <?php echo ucfirst($szoveg['vissza']);?></a>
      </div>
